> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/advertisers/get_all_advertisers.md).

# Get all advertisers

| HTTP method | Endpoint            |
| ----------- | ------------------- |
| **GET**     | **/v1/advertisers** |

### **Get all advertisers in a network.**

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters                | Type    | Description                                                                                                                                                               |
| ---------- | ------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset                    | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit                     | limit   | The number of date displays in each page. **Maximum = 1000**                                                                                                              |
| Sort       | sort                      | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters                   | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |                           |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields                    | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id                        | integer | A string that uniquely identifies this advertiser.                                                                                                                        |
|            | first\_name               | string  | The first\_name of the this Advertiser.                                                                                                                                   |
|            | last\_name                | string  | The last\_name of the this Advertiser.                                                                                                                                    |
|            | email                     | string  | The email of the this Advertiser.                                                                                                                                         |
|            | company                   | string  | The company of the this Advertiser.                                                                                                                                       |
|            | country                   | string  | The country of the Advertiser's physical address.                                                                                                                         |
|            | status                    | string  | Advertiser status.                                                                                                                                                        |
|            | instant\_message\_account | string  | Instant messaging account.                                                                                                                                                |
|            | instant\_message\_type    | integer | types of instant messaging.                                                                                                                                               |
|            | manager\_id               | integer | Account Manager ID.                                                                                                                                                       |
|            | phone                     | string  | The phone number of the Advertiser.                                                                                                                                       |
|            | website                   | string  |                                                                                                                                                                           |
|            | security\_mode            | integer | selection to activate security code.   0：close ;  1：open                                                                                                                  |
|            | security\_code            | string  | conversion security code                                                                                                                                                  |
|            | create\_time              | integer | Create time                                                                                                                                                               |

## Response body parameters <a href="#response-body-parameters-4" id="response-body-parameters-4"></a>

| Field                     | Type    | Description                                                                                                        |
| ------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id                        | integer | A string that uniquely identifies this advertiser.                                                                 |
| first\_name               | string  | The first\_name of the this Advertiser.                                                                            |
| last\_name                | string  | The last\_name of the this Advertiser.                                                                             |
| email                     | string  | The email of the this Advertiser.                                                                                  |
| company                   | string  | The company of the this Advertiser.                                                                                |
| country                   | string  | The country of the Advertiser's physical address.                                                                  |
| status                    | string  | Advertiser status.                                                                                                 |
| instant\_message\_account | string  | Instant messaging account.                                                                                         |
| instant\_message\_type    | integer | types of instant messaging.                                                                                        |
| manager\_id               | integer | Account Manager ID.                                                                                                |
| phone                     | string  | The phone number of the Advertiser.                                                                                |
| website                   | string  |                                                                                                                    |
| security\_mode            | integer | selection to activate security code.   0：close ;  1：open                                                           |
| security\_code            | string  | conversion security code                                                                                           |
| create\_time              | integer | Create time                                                                                                        |
| totalPages                | integer | The list of data pages (associated with your limit).                                                               |
| totalRows                 | integer | Total number of available data.                                                                                    |
| offset                    | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit                     | integer | The number of data displayed on one page                                                                           |

## Example request <a href="#example-request-4" id="example-request-4"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/advertisers?limit=4&filters[status][EQUAL_TO]=active&sort=-id,+name&fields=id,name,status,phone>

**Request GET** <http://{networkname}.api.offerslook.com/v1/advertisers?limit=4&filters[status][EQUAL_TO]=active&sort=-id,+name&fields=id,name,status,phone>

### Example response <a href="#example-response-4" id="example-response-4"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 4853,
            "status": "active",
            "phone": ""
          },
          {
            "id": 4849,
            "status": "active",
            "phone": ""
          },
          {
            "id": 4822,
            "status": "active",
            "phone": "21155571"
          },
          {
            "id": 696,
            "status": "active",
            "phone": "11122233333"
          }
        ],
        "totalPages": 3,
        "totalRows": 9,
        "offset": 1,
        "limit": 4
      }
    }
```
